from django.urls import path
from . import views

app_name = 'encyclopedia'

urlpatterns = [
    path('disease/', views.disease_wiki_list, name='disease_list'),
    path('shape/', views.shape_wiki_list, name='shape_list'),
    path('list/', views.disease_wiki_list, name='wiki_list'),
    path('detail/<int:wiki_id>/', views.wiki_detail, name='wiki_detail'),
    path('api/list/', views.api_miniapp_wiki_list, name='api_miniapp_wiki_list'),
    path('api/models/', views.api_miniapp_get_models, name='api_miniapp_get_models'),
    path('api/detect/', views.api_miniapp_multi_detect, name='api_miniapp_multi_detect'),
]